#!/bin/sh

#================================================
#== Adres IP serwera Zabbix =====================
ZABBIX_SERVER="xx.xx.xx.xx"
#================================================
#== Nazwa hosta na serwerze Zabbix ==============
HOST="mew01"
#================================================
#== Link bezpośedni z serwera SUPLA (json) ======
SUPLA_LINK="..............................."
#================================================
#== Rodzaj taryfy: G11 wpisz 11, G12w wpisz 12 ==
TARIFF=11
#================================================
#== Koszt 1kWh dla strefy 1 i 2, taryfa G12w ====
#== Strefa 1: 1.8.1 , strefa 2: 1.8.2 ===========
COST1=0.6
COST2=0.45
#================================================
#== Święta ruchome (dla taryfy G12w) ============
BOZECIALO=0806
PONWIELKANOC=0904
#================================================
#== Porównanie opłacalności taryf G11 i G12w ====
#== 0-symulacja wyłączona , 1-symulacja włączona
COMPARE=0
#================================================

NAZ0="/var/local/"$HOST"_"

#======================================================
FILE=$NAZ0"dailytime.txt"
if ! [ -f "$FILE" ]; then
  echo "2355" > $FILE
  detime=2355
else
  detime=`cat $FILE`
  if [ $detime -ne 2355 -a $detime -ne 2356 -a $detime -ne 2357 -a $detime -ne 2358 ]; then
    echo "2355" > $FILE
    detime=2355
  fi
fi
#======================================================

OUTPUT=$(curl -k "$SUPLA_LINK")
x_currency=`echo $OUTPUT | jq '.currency'`
x_totalCost=`echo $OUTPUT | jq '.totalCost'`
x_pricePerUnit=`echo $OUTPUT | jq '.pricePerUnit'`
x_frequency=`echo $OUTPUT | jq '.phases | .[0] | .frequency'`
x_voltage=`echo $OUTPUT | jq '.phases | .[0] | .voltage'`
x_current=`echo $OUTPUT | jq '.phases | .[0] | .current'`
x_powerActive=`echo $OUTPUT | jq '.phases | .[0] | .powerActive'`
x_powerReactive=`echo $OUTPUT | jq '.phases | .[0] | .powerReactive'`
x_powerApparent=`echo $OUTPUT | jq '.phases | .[0] | .powerApparent'`
x_powerFactor=`echo $OUTPUT | jq '.phases | .[0] | .powerFactor'`
x_phaseAngle=`echo $OUTPUT | jq '.phases | .[0] | .phaseAngle'`
x_totalForwardActiveEnergy=`echo $OUTPUT | jq '.phases | .[0] | .totalForwardActiveEnergy'`
x_totalReverseActiveEnergy=`echo $OUTPUT | jq '.phases | .[0] | .totalReverseActiveEnergy'`
x_totalForwardReactiveEnergy=`echo $OUTPUT | jq '.phases | .[0] | .totalForwardReactiveEnergy'`
x_totalReverseReactiveEnergy=`echo $OUTPUT | jq '.phases | .[0] | .totalReverseReactiveEnergy'`
NAZ3="/tmp/phase1.txt"
echo "$HOST cur $x_currency" > $NAZ3
echo "$HOST ttc11pu $x_pricePerUnit" >> $NAZ3
if [ $TARIFF = 11 ]; then
  echo "$HOST ttc11 $x_totalCost" >> $NAZ3
fi
echo "$HOST p1_frq $x_frequency" >> $NAZ3
echo "$HOST p1_vol $x_voltage" >> $NAZ3
echo "$HOST p1_cur $x_current" >> $NAZ3
echo "$HOST p1_pwra $x_powerActive" >> $NAZ3
echo "$HOST p1_pwrr $x_powerReactive" >> $NAZ3
echo "$HOST p1_pwrf $x_powerFactor" >> $NAZ3
echo "$HOST p1_phan $x_phaseAngle" >> $NAZ3
echo "$HOST p1_tfaen $x_totalForwardActiveEnergy" >> $NAZ3
echo "$HOST p1_traen $x_totalReverseActiveEnergy" >> $NAZ3
echo "$HOST p1_tfreen $x_totalForwardReactiveEnergy" >> $NAZ3
echo "$HOST p1_trreen $x_totalReverseReactiveEnergy" >> $NAZ3

#======================================================
DATA="`date +"%H%M"`"
if [ $DATA -ne $detime ]; then
  zabbix_sender -z "$ZABBIX_SERVER" -i $NAZ3 > /dev/null
fi
#======================================================

x_fullpower=$x_powerActive
x_fullrenergy=$x_totalReverseActiveEnergy
x_fullenergy11=$x_totalForwardActiveEnergy

x_frequency=`echo $OUTPUT | jq '.phases | .[1] | .frequency'`
x_voltage=`echo $OUTPUT | jq '.phases | .[1] | .voltage'`
x_current=`echo $OUTPUT | jq '.phases | .[1] | .current'`
x_powerActive=`echo $OUTPUT | jq '.phases | .[1] | .powerActive'`
x_powerReactive=`echo $OUTPUT | jq '.phases | .[1] | .powerReactive'`
x_powerApparent=`echo $OUTPUT | jq '.phases | .[1] | .powerApparent'`
x_powerFactor=`echo $OUTPUT | jq '.phases | .[1] | .powerFactor'`
x_phaseAngle=`echo $OUTPUT | jq '.phases | .[1] | .phaseAngle'`
x_totalForwardActiveEnergy=`echo $OUTPUT | jq '.phases | .[1] | .totalForwardActiveEnergy'`
x_totalReverseActiveEnergy=`echo $OUTPUT | jq '.phases | .[1] | .totalReverseActiveEnergy'`
x_totalForwardReactiveEnergy=`echo $OUTPUT | jq '.phases | .[1] | .totalForwardReactiveEnergy'`
x_totalReverseReactiveEnergy=`echo $OUTPUT | jq '.phases | .[1] | .totalReverseReactiveEnergy'`
NAZ3="/tmp/phase2.txt"
echo "$HOST p2_frq $x_frequency" > $NAZ3
echo "$HOST p2_vol $x_voltage" >> $NAZ3
echo "$HOST p2_cur $x_current" >> $NAZ3
echo "$HOST p2_pwra $x_powerActive" >> $NAZ3
echo "$HOST p2_pwrr $x_powerReactive" >> $NAZ3
echo "$HOST p2_pwrf $x_powerFactor" >> $NAZ3
echo "$HOST p2_phan $x_phaseAngle" >> $NAZ3
echo "$HOST p2_tfaen $x_totalForwardActiveEnergy" >> $NAZ3
echo "$HOST p2_traen $x_totalReverseActiveEnergy" >> $NAZ3
echo "$HOST p2_tfreen $x_totalForwardReactiveEnergy" >> $NAZ3
echo "$HOST p2_trreen $x_totalReverseReactiveEnergy" >> $NAZ3

#======================================================
DATA="`date +"%H%M"`"
if [ $DATA -ne $detime ]; then
  zabbix_sender -z "$ZABBIX_SERVER" -i $NAZ3 > /dev/null
fi
#======================================================

x_fullpower=`echo $x_fullpower + $x_powerActive | bc`
x_fullrenergy=`echo $x_fullrenergy + $x_totalReverseActiveEnergy | bc`
x_fullenergy11=`echo $x_fullenergy11 + $x_totalForwardActiveEnergy | bc`

x_frequency=`echo $OUTPUT | jq '.phases | .[2] | .frequency'`
x_voltage=`echo $OUTPUT | jq '.phases | .[2] | .voltage'`
x_current=`echo $OUTPUT | jq '.phases | .[2] | .current'`
x_powerActive=`echo $OUTPUT | jq '.phases | .[2] | .powerActive'`
x_powerReactive=`echo $OUTPUT | jq '.phases | .[2] | .powerReactive'`
x_powerApparent=`echo $OUTPUT | jq '.phases | .[2] | .powerApparent'`
x_powerFactor=`echo $OUTPUT | jq '.phases | .[2] | .powerFactor'`
x_phaseAngle=`echo $OUTPUT | jq '.phases | .[2] | .phaseAngle'`
x_totalForwardActiveEnergy=`echo $OUTPUT | jq '.phases | .[2] | .totalForwardActiveEnergy'`
x_totalReverseActiveEnergy=`echo $OUTPUT | jq '.phases | .[2] | .totalReverseActiveEnergy'`
x_totalForwardReactiveEnergy=`echo $OUTPUT | jq '.phases | .[2] | .totalForwardReactiveEnergy'`
x_totalReverseReactiveEnergy=`echo $OUTPUT | jq '.phases | .[2] | .totalReverseReactiveEnergy'`
x_fullpower=`echo $x_fullpower + $x_powerActive | bc`
x_fullrenergy=`echo $x_fullrenergy + $x_totalReverseActiveEnergy | bc`
x_fullenergy11=`echo $x_fullenergy11 + $x_totalForwardActiveEnergy | bc`

#########################################################################
check=`echo "$x_voltage" | grep -E ^\-?[0-9]*\.?[0-9]+$`
if [ "$check" != '' ]; then    

  #======================================================
  FILE=$NAZ0"fullenergy.txt"
  if [ -f "$FILE" ]; then
    x_fullenergy0=`cat $FILE`
    check=`echo "$x_fullenergy0" | grep -E ^\-?[0-9]*\.?[0-9]+$`
    if [ "$check" != '' ]; then    
      x_fullenergy0=`cat $FILE`
    else
      x_fullenergy0=$x_fullenergy11
      echo "$x_fullenergy0" > $FILE
    fi
  else
    x_fullenergy0=$x_fullenergy11
    echo "$x_fullenergy0" > $FILE
  fi
  x_fullenergy=`echo  $x_fullenergy11 - $x_fullenergy0 | bc`
  echo "$x_fullenergy11" > $FILE
  #======================================================

  #======================================================
  FILE=$NAZ0"fullrenergy.txt"
  if [ -f "$FILE" ]; then
    x_fullrenergy0=`cat $FILE`
    check=`echo "$x_fullrenergy0" | grep -E ^\-?[0-9]*\.?[0-9]+$`
    if [ "$check" != '' ]; then    
      x_fullrenergy0=`cat $FILE`
    else
      x_fullrenergy0=0
      echo "$x_fullrenergy0" > $FILE
    fi
  else
    x_fullrenergy0=0
    echo "$x_fullrenergy0" > $FILE
  fi
  x_fullrenergy=`echo  $x_fullrenergy - $x_fullrenergy0 | bc`
  echo "$x_fullrenergy" > $FILE
  #======================================================

  #======================================================
  FILE=$NAZ0"compensation.txt"
  if [ -f "$FILE" ]; then
    x_compensation=`cat $FILE`
    check=`echo "$x_compensation" | grep -E ^\-?[0-9]*\.?[0-9]+$`
    if [ "$check" != '' ]; then    
      x_compensation=`cat $FILE`
    else
      x_compensation=0
      echo "$x_compensation" > $FILE
    fi
  else
    x_compensation=0
    echo "$x_compensation" > $FILE
  fi
  x_sfullenergy=`echo  $x_fullenergy11 + $x_compensation | bc`
  #======================================================

  #======================================================
  FILE=$NAZ0"rcompensation.txt"
  if [ -f "$FILE" ]; then
    x_rcompensation=`cat $FILE`
    check=`echo "$x_rcompensation" | grep -E ^\-?[0-9]*\.?[0-9]+$`
    if [ "$check" != '' ]; then    
      x_rcompensation=`cat $FILE`
    else
      x_rcompensation=0
      echo "$x_rcompensation" > $FILE
    fi
  else
    x_rcompensation=0
    echo "$x_rcompensation" > $FILE
  fi
  x_sfullrenergy=`echo  $x_fullrenergy + $x_rcompensation | bc`
  #======================================================
  
fi
#########################################################################

NAZ3="/tmp/phase3.txt"
echo "$HOST p3_frq $x_frequency" > $NAZ3
echo "$HOST p3_vol $x_voltage" >> $NAZ3
echo "$HOST p3_cur $x_current" >> $NAZ3
echo "$HOST p3_pwra $x_powerActive" >> $NAZ3
echo "$HOST p3_pwrr $x_powerReactive" >> $NAZ3
echo "$HOST p3_pwrf $x_powerFactor" >> $NAZ3
echo "$HOST p3_phan $x_phaseAngle" >> $NAZ3
echo "$HOST p3_tfaen $x_totalForwardActiveEnergy" >> $NAZ3
echo "$HOST p3_traen $x_totalReverseActiveEnergy" >> $NAZ3
echo "$HOST p3_tfreen $x_totalForwardReactiveEnergy" >> $NAZ3
echo "$HOST p3_trreen $x_totalReverseReactiveEnergy" >> $NAZ3
echo "$HOST fpwra $x_fullpower" >> $NAZ3
#-------------------------------------------------------
check=`echo "$x_voltage" | grep -E ^\-?[0-9]*\.?[0-9]+$`
if [ "$check" != '' ]; then    
  echo "$HOST fenergy $x_fullenergy11" >> $NAZ3
  echo "$HOST sfenergy $x_sfullenergy" >> $NAZ3
fi
#-------------------------------------------------------

#======================================================
DATA="`date +"%H%M"`"
if [ $DATA -ne $detime ]; then
  zabbix_sender -z "$ZABBIX_SERVER" -i $NAZ3 > /dev/null
fi
#======================================================

DATA="`date +"%H%M"`"
if [ $DATA -eq $detime ]; then

  #########################################################################
  check=`echo "$x_voltage" | grep -E ^\-?[0-9]*\.?[0-9]+$`
  if [ "$check" != '' ]; then    
  #########################################################################

    FILE=$NAZ0"monthlyenergy.txt"
    if [ -f "$FILE" ]; then
      x_monthlyenergy=`cat $FILE`
      check=`echo "$x_monthlyenergy" | grep -E ^\-?[0-9]*\.?[0-9]+$`
      if [ "$check" != '' ]; then    
        x_monthlyenergy=`cat $FILE`
	  else
        x_monthlyenergy=$x_fullenergy11
        echo "$x_monthlyenergy" > $FILE
      fi
    else
      x_monthlyenergy=$x_fullenergy11
      echo "$x_monthlyenergy" > $FILE
    fi

    FILE=$NAZ0"monthlyrenergy.txt"
    if [ -f "$FILE" ]; then
      x_monthlyrenergy=`cat $FILE`
      check=`echo "$x_monthlyrenergy" | grep -E ^\-?[0-9]*\.?[0-9]+$`
      if [ "$check" != '' ]; then    
        x_monthlyrenergy=`cat $FILE`
      else
        x_monthlyrenergy=$x_fullrenergy
        echo "$x_monthlyrenergy" > $FILE
      fi
    else
      x_monthlyrenergy=$x_fullrenergy
      echo "$x_monthlyrenergy" > $FILE
    fi

    FILE=$NAZ0"dailyenergy.txt"
    if [ -f "$FILE" ]; then
      x_dailyenergy=`cat $FILE`
      check=`echo "$x_dailyenergy" | grep -E ^\-?[0-9]*\.?[0-9]+$`
      if ! [ "$check" != '' ]; then    
        x_dailyenergy=$x_fullenergy11
      fi
    else
      x_dailyenergy=$x_fullenergy11
    fi
    echo "$x_fullenergy11" > $FILE
  
    x_dailyenergy=`echo  $x_fullenergy11 - $x_dailyenergy | bc`
    x_dailycost=`echo $x_pricePerUnit \* $x_dailyenergy | bc`
    echo "$HOST denergy $x_dailyenergy" > $NAZ3
    echo "$HOST ttc11d $x_dailycost" >> $NAZ3
  
    x_monthlyenergy=`echo $x_monthlyenergy + $x_dailyenergy | bc`
    DDATA="`date +"%d"`"
    if [ $DDATA -eq 28 ]; then
      x_monthlycost=`echo $x_pricePerUnit \* $x_monthlyenergy | bc`
      echo "$HOST menergy $x_monthlyenergy" >> $NAZ3
      echo "$HOST ttc11m $x_monthlycost" >> $NAZ3
      x_monthlyenergy=0
    fi
    FILE=$NAZ0"monthlyenergy.txt"
    echo "$x_monthlyenergy" > $FILE
    echo "x_monthlyenergy: $x_monthlyenergy" >> $_LOGFILE
  
    FILE=$NAZ0"dailyrenergy.txt"
    if [ -f "$FILE" ]; then
      x_dailyrenergy=`cat $FILE`
      check=`echo "$x_dailyrenergy" | grep -E ^\-?[0-9]*\.?[0-9]+$`
      if [ "$check" != '' ]; then    
        x_dailyrenergy=`cat $FILE`
      else
        x_dailyrenergy=$x_fullrenergy
        echo "$x_dailyrenergy" > $FILE
      fi
    else
      x_dailyrenergy=$x_fullrenergy
      echo "$x_dailyrenergy" > $FILE
    fi
  
    x_dailyrenergy=`echo  $x_fullrenergy - $x_dailyrenergy | bc`
    echo "$HOST drenergy $x_dailyrenergy" >> $NAZ3
    echo "$x_fullrenergy" > $FILE
  
    x_monthlyrenergy=`echo $x_monthlyrenergy + $x_dailyrenergy | bc`
    DDATA="`date +"%d"`"
    if [ $DDATA -eq 28 ]; then
      echo "$HOST mrenergy $x_monthlyrenergy" >> $NAZ3
      x_monthlyrenergy=0
    fi
    FILE=$NAZ0"monthlyrenergy.txt"
    echo "$x_monthlyrenergy" > $FILE

    if [ $COMPARE = 1 ]; then
      #------------------------------------------------------------
      x_fullenergy1=`cat $NAZ0"fullenergy1.txt"`
      FILE=$NAZ0"dailyenergy181.txt"
      if [ -f "$FILE" ]; then
        x_dailyenergy181=`cat $FILE`
        check=`echo "$x_dailyenergy181" | grep -E ^\-?[0-9]*\.?[0-9]+$`
        if ! [ "$check" != '' ]; then    
          x_dailyenergy181=$x_fullenergy1
          echo "$x_dailyenergy181" > $FILE
        fi
      else
        x_dailyenergy181=$x_fullenergy1
        echo "$x_dailyenergy181" > $FILE
      fi
      x_dailyenergy181=`echo  $x_fullenergy1 - $x_dailyenergy181 | bc`
      x_dailycost181=`echo  $x_dailyenergy181 \* $COST1 | bc`
      echo "$x_fullenergy1" > $FILE
      #------------------------------------------------------------
	
      #------------------------------------------------------------
      x_fullenergy2=`cat $NAZ0"fullenergy2.txt"`
      FILE=$NAZ0"dailyenergy182.txt"
      if [ -f "$FILE" ]; then
        x_dailyenergy182=`cat $FILE`
        check=`echo "$x_dailyenergy182" | grep -E ^\-?[0-9]*\.?[0-9]+$`
        if ! [ "$check" != '' ]; then    
          x_dailyenergy182=$x_fullenergy2
          echo "$x_dailyenergy182" > $FILE
        fi
      else
        x_dailyenergy182=$x_fullenergy2
        echo "$x_dailyenergy182" > $FILE
      fi
      x_dailyenergy182=`echo  $x_fullenergy2 - $x_dailyenergy182 | bc`
      x_dailycost182=`echo  $x_dailyenergy182 \* $COST2 | bc`
      echo "$x_fullenergy2" > $FILE
      #------------------------------------------------------------

      #------------------------------------------------------------
      x_dailycost182=`echo  $x_dailycost181 + $x_dailycost182 | bc`
      echo "$HOST ttc12d $x_dailycost182" >> $NAZ3
      x_dailyenergy12=`echo  $x_dailyenergy182 + $x_dailyenergy181 | bc`
      echo "$HOST denergy12 $x_dailyenergy12" >> $NAZ3
      #------------------------------------------------------------
  
    fi
  
    #==============================================================
    zabbix_sender -z "$ZABBIX_SERVER" -i $NAZ3 > /dev/null
    #==============================================================

    detime=2355
    echo "$detime" > $NAZ0"dailytime.txt"
	
  #########################################################################
  else
    detime=`echo  $detime + 1 | bc`
	if [ $detime -eq 2359 ]; then
      detime=2355
	fi
    echo "$detime" > $NAZ0"dailytime.txt"
  fi
  #########################################################################

fi
#===========================================================================

if [ $TARIFF -eq 12 -o $COMPARE -eq 1 ]; then

  check=`echo "$x_voltage" | grep -E ^\-?[0-9]*\.?[0-9]+$`
  if [ "$check" != '' ]; then    

    FILE=$NAZ0"fullenergy2.txt"
    if [ -f "$FILE" ]; then
      x_fullenergy2=`cat $FILE`
      check=`echo "$x_fullenergy2" | grep -E ^\-?[0-9]*\.?[0-9]+$`
      if ! [ "$check" != '' ]; then    
        x_fullenergy2=0
        echo "$x_fullenergy2" > $FILE
      fi
    else
      x_fullenergy2=0
      echo "$x_fullenergy2" > $FILE
    fi

    FILE=$NAZ0"fullenergy1.txt"
    if [ -f "$FILE" ]; then
      x_fullenergy1=`cat $FILE`
      check=`echo "$x_fullenergy1" | grep -E ^\-?[0-9]*\.?[0-9]+$`
      if ! [ "$check" != '' ]; then    
        x_fullenergy1=0
        echo "$x_fullenergy1" > $FILE
      fi
    else
      x_fullenergy1=0
      echo "$x_fullenergy1" > $FILE
    fi

    DATA="`date +"%H%M"`"       #===== godz. 13.00 - 15.00 ===================
    if [ $DATA -ge 1300 -a $DATA -le 1500 ]; then
      x_fullenergy=`echo  $x_fullenergy + $x_fullenergy2 | bc`
      ttc2=`echo  $x_fullenergy \* $COST2 | bc`
      FILE=$NAZ0"fullenergy2.txt"
      echo "$x_fullenergy" > $FILE
      echo "$HOST fenergy2 $x_fullenergy" > $NAZ3
      echo "$HOST ttc2 $ttc2" >> $NAZ3
      #======================================================
      zabbix_sender -z "$ZABBIX_SERVER" -i $NAZ3 > /dev/null
      #======================================================
    else                        #===== godz. 22.00 - 06.00 ===================
      if [ $DATA -ge 2200 -o $DATA -le 0600 ]; then
        x_fullenergy=`echo  $x_fullenergy + $x_fullenergy2 | bc`
        ttc2=`echo  $x_fullenergy \* $COST2 | bc`
        FILE=$NAZ0"fullenergy2.txt"
        echo "$x_fullenergy" > $FILE
        echo "$HOST fenergy2 $x_fullenergy" > $NAZ3
        echo "$HOST ttc2 $ttc2" >> $NAZ3
        #======================================================
        zabbix_sender -z "$ZABBIX_SERVER" -i $NAZ3 > /dev/null
        #======================================================
      else                      #===== Weekend ===============================
        DATA="`date +"%u"`"
        if [ $DATA -gt 5 ]; then
          x_fullenergy=`echo  $x_fullenergy + $x_fullenergy2 | bc`
          ttc2=`echo  $x_fullenergy \* $COST2 | bc`
          FILE=$NAZ0"fullenergy2.txt"
          echo "$x_fullenergy" > $FILE
          echo "$HOST fenergy2 $x_fullenergy" > $NAZ3
          echo "$HOST ttc2 $ttc2" >> $NAZ3
          #======================================================
          zabbix_sender -z "$ZABBIX_SERVER" -i $NAZ3 > /dev/null
          #======================================================
        else                    #===== Święta stałe ==========================
          DATA="`date +"%d%m"`"
          if [ $DATA -eq 0101 -o $DATA -eq 0601 -o $DATA -eq 0105 -o $DATA -eq 0305 -o $DATA -eq 1508 -o $DATA -eq 0111 -o $DATA -eq 1111 -o $DATA -eq  2512 -o $DATA -eq 2612 ]; then
            x_fullenergy=`echo  $x_fullenergy + $x_fullenergy2 | bc`
            ttc2=`echo  $x_fullenergy \* $COST2 | bc`
            FILE=$NAZ0"fullenergy2.txt"
            echo "$x_fullenergy" > $FILE
            echo "$HOST fenergy2 $x_fullenergy" > $NAZ3
            echo "$HOST ttc2 $ttc2" >> $NAZ3
            #======================================================
            zabbix_sender -z "$ZABBIX_SERVER" -i $NAZ3 > /dev/null
            #======================================================
          else                  #===== Święta ruchome ========================
            DATA="`date +"%d%m"`"
            if [ $DATA -eq $BOZECIALO -o $DATA -eq $PONWIELKANOC ]; then
              x_fullenergy=`echo  $x_fullenergy + $x_fullenergy2 | bc`
              ttc2=`echo  $x_fullenergy \* $COST2 | bc`
	  	      FILE=$NAZ0"fullenergy2.txt"
              echo "$x_fullenergy" > $FILE
              echo "$HOST fenergy2 $x_fullenergy" > $NAZ3
              echo "$HOST ttc2 $ttc2" >> $NAZ3
              #======================================================
              zabbix_sender -z "$ZABBIX_SERVER" -i $NAZ3 > /dev/null
              #======================================================
            else                #===== Strefa 1 ==============================
              x_fullenergy1=`cat $NAZ0"fullenergy1.txt"`
              x_fullenergy=`echo  $x_fullenergy + $x_fullenergy1 | bc`
              ttc1=`echo  $x_fullenergy \* $COST1 | bc`
              echo "$x_fullenergy" > $NAZ0"fullenergy1.txt"
              echo "$HOST fenergy1 $x_fullenergy" > $NAZ3
              echo "$HOST ttc1 $ttc1" >> $NAZ3
              #======================================================
              zabbix_sender -z "$ZABBIX_SERVER" -i $NAZ3 > /dev/null
              #======================================================
            fi
          fi
        fi
      fi
    fi
  fi
fi
#===========================================================================
